Commerce Niubiz
--------------------

CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Requirements
 * Installation
 * Configuration
 * Extra

INTRODUCTION
------------

This module integrates Niubiz payment provider with Drupal Commerce.

REQUIREMENTS
------------

This module requires the following modules:

 * [Commerce](https://www.drupal.org/project/commerce)
 * [commerce_agree_terms](https://www.drupal.org/project/commerce_agree_terms)

INSTALLATION
------------

 * Install as you would normally install a contributed Drupal module.
   Visit https://www.drupal.org/node/1897420 for further information.

CONFIGURATION
-------------

 * Enable the module as usual.
 * Go to Commerce > Configuration > Payment >Payment gateways.
 * Add the corresponding payment gateway and configure it using the settings provided in the official documentation:
[https://desarrolladores.niubiz.com.pe/docs/bot%C3%B3n-de-pago-1#datos-de-prueba].
 * It is essential to add a Terms and Conditions field to the checkout page. To do this, install the [commerce_agree_terms] module and configure it as outlined in the [README.md] file.
 * A phone number is required for the transaction process. This module does not provide a phone field by default but expects a field with the machine name [field_customer_phone]. To create this field, follow these steps:
  - Go to [admin/config/people/profile-types].
  - Locate the default profile type "Customer" and click on Manage fields.
  - Add a new field of type "Text (plain)", or choose a dedicated phone field, ensuring it has the machine name [field_customer_phone].
  - Set the field as required to ensure it is always provided.
 * This module expects a field [field_payment_response_info] to store some values of the response.
  - Go to [admin/commerce/config/order-types].
  - Locate the type of order in use and click Manage fields.
  - Add a multi-value field (Textarea or JSON) with the machine name [field_payment_response_info].


EXTRA
------

 * When a transaction is authorized or approved [AUTHORIZED | APPROVED], the following information should be displayed:
  - Order number
  - User's first and last name (OPTIONAL)
  - Order date and time
  - Transaction amount
  - Currency type
  - Description of the product(s) (OPTIONAL)
  - Masked card number
  - Card brand
 * When a transaction is declined or fails [DECLINED | FAILED], the following information should be displayed:
  - Order number
  - Order date and time
  - Decline description

