(function ($, Drupal, drupalSettings) {
  'use strict';

  Drupal.behaviors.raveForm = {
    attach: function (context) {
      var options = JSON.parse(drupalSettings.niubiz.transactionData);

      $('.payment-redirect-form', context).on('submit', function () {
        VisanetCheckout.configure({
          sessiontoken: options.sessionKey,
          channel: 'web',
          merchantid: options.merchantId,
          purchasenumber: options.order_id,
          amount: options.amount,
          expirationminutes: options.expirationminutes,
          timeouturl: options.cancelUrl,
          merchantlogo: options.logoUrl,
          formbuttoncolor: options.payButtonColor,
          action: options.continueUrl
        });

        VisanetCheckout.open();

        return false;
      });

      // Trigger form submission when user visits Payment page.
      $('.payment-redirect-form', context).once('getPaid').trigger('submit');
    }
  };

})(jQuery, Drupal, drupalSettings);
